/**
 * @desc 处理盘点异常数据
 */
import { defaultSuccess, defaultError, http } from '@/plugins/axios';
import type { AxiosResponse } from 'axios';
export default async function (
  /** 申请单ID */
  applyId: string,

  /** 请求体 */
  requestBody: Array<material.StocktakingScanExceptionalData>,

  success: (data: void) => void = defaultSuccess,
  fail: (error: { code: string; error?: string }) => void = defaultError,
): Promise<void> {
  return http({
    method: 'put',
    url: `/handle-exceptional-data/${applyId}`,
    data: requestBody,
  })
    .then((data: AxiosResponse<void, unknown>) => {
      success(data.data);
    })
    .catch((error: { code: string; error?: string }) => fail(error));
}
